/**
 * ---------- ПРИМЕР ---------------- *
 *  ДИРЕКТИВЫ BREAK И CONTINUE
 * ---------------------------------- *
 */

/**
 * @type {счётчик number}
 */
let i = 0;
// условие записано таким образом
// чтобы цикл выполнялся бесконечно
while (true) {

    i++;
    // короткая запись условия допустима в js
    if (i > 5) break;

    console.log(i);
}
// вывод - 1,2,3,4,5

// так мы пропускаем вывод четных чисел
// вывод - 1,3,5
for (let i = 0; i < 6; i++) {

    // если true, пропустить оставшуюся часть тела цикла
    if (i % 2 == 0) continue;
    // будет пропущено для четных чисел
    console.log(i); // 1, затем 3, 5
}